with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "master";
  name = "random-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/jpierre03/random.git";
    sha256 = "1izkzy952rjzlk3d9ndp3bklxc45gkwvpw0376x39flq1km0kyak";
  };

  # OUT shouldn't be needed (and shouldn't have worked), but random
  # developers have forgotten to use PREFIX everywhere,
  makeFlags = ''
    OUT=$(out)
  '';

  buildInputs = [ gcc ];
  buildPhase = "make build";
  installPhase = "make install";

  meta = with stdenv.lib; {
    description = "Program thas exit with 0 or 1 randomly";
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
